TinyXML becomes a big problem

Install support for openEMS

Moderators: thorsten, sebastian

thorsten
Posts: 1393
Joined: Mon 27 Jun 2011, 12:26

Re: TinyXML becomes a big problem

Post by thorsten » Fri 24 Jul 2020, 16:31

I'm not sure what you are doing but the packages seem to be wrong!

On Ubuntu 18.04 it should be

Code: Select all

sudo apt-get install build-essential cmake git libhdf5-dev libvtk7-dev libboost-all-dev libcgal-dev libtinyxml-dev qtbase5-dev libvtk7-qt-dev
I hope I did not miss any important package...

regards
Thorsten

crashmatt
Posts: 7
Joined: Mon 20 Jul 2020, 20:06

Re: TinyXML becomes a big problem

Post by crashmatt » Fri 24 Jul 2020, 23:45

Found the problem.

SNAP!

I had the Octave snap installed. A snap runs in its own sandbox which is probably why it can't find the libraries.

so yes. RTFM.

thorsten
Posts: 1393
Joined: Mon 27 Jun 2011, 12:26

Re: TinyXML becomes a big problem

Post by thorsten » Sun 26 Jul 2020, 14:59

Well yeah, Octave from snap won't work I guess.

I have updated the readme on github, let me know if this are really all required packages...

regards
Thorsten

Post Reply